Bullet Collision Detection & Physics Library: Bullet::btPersistentManifoldFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btPersistentManifoldFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btPersistentManifoldFloatData:
[legend]

## Public Attributes
btVector3FloatData | m_pointCacheLocalPointA [4]
btVector3FloatData | m_pointCacheLocalPointB [4]
btVector3FloatData | m_pointCachePositionWorldOnA [4]
btVector3FloatData | m_pointCachePositionWorldOnB [4]
btVector3FloatData | m_pointCacheNormalWorldOnB [4]
btVector3FloatData | m_pointCacheLateralFrictionDir1 [4]
btVector3FloatData | m_pointCacheLateralFrictionDir2 [4]
float | m_pointCacheDistance [4]
float | m_pointCacheAppliedImpulse [4]
float | m_pointCachePrevRHS [4]
float | m_pointCacheCombinedFriction [4]
float | m_pointCacheCombinedRollingFriction [4]
float | m_pointCacheCombinedSpinningFriction [4]
float | m_pointCacheCombinedRestitution [4]
int | m_pointCachePartId0 [4]
int | m_pointCachePartId1 [4]
int | m_pointCacheIndex0 [4]
int | m_pointCacheIndex1 [4]
int | m_pointCacheContactPointFlags [4]
float | m_pointCacheAppliedImpulseLateral1 [4]
float | m_pointCacheAppliedImpulseLateral2 [4]
float | m_pointCacheContactMotion1 [4]
float | m_pointCacheContactMotion2 [4]
float | m_pointCacheContactCFM [4]
float | m_pointCacheCombinedContactStiffness1 [4]
float | m_pointCacheContactERP [4]
float | m_pointCacheCombinedContactDamping1 [4]
float | m_pointCacheFrictionCFM [4]
int | m_pointCacheLifeTime [4]
int | m_numCachedPoints
int | m_companionIdA
int | m_companionIdB
int | m_index1a
int | m_objectType
float | m_contactBreakingThreshold
float | m_contactProcessingThreshold
int | m_padding
btCollisionObjectFloatData * | m_body0
btCollisionObjectFloatData * | m_body1

## Detailed Description

Definition at line 566 of file bullet.h.

## Member Data Documentation

## ◆ m_body0

btCollisionObjectFloatData* Bullet::btPersistentManifoldFloatData::m_body0

Definition at line 606 of file bullet.h.

## ◆ m_body1

btCollisionObjectFloatData* Bullet::btPersistentManifoldFloatData::m_body1

Definition at line 607 of file bullet.h.

## ◆ m_companionIdA

int Bullet::btPersistentManifoldFloatData::m_companionIdA

Definition at line 599 of file bullet.h.

## ◆ m_companionIdB

int Bullet::btPersistentManifoldFloatData::m_companionIdB

Definition at line 600 of file bullet.h.

## ◆ m_contactBreakingThreshold

float Bullet::btPersistentManifoldFloatData::m_contactBreakingThreshold

Definition at line 603 of file bullet.h.

## ◆ m_contactProcessingThreshold

float Bullet::btPersistentManifoldFloatData::m_contactProcessingThreshold

Definition at line 604 of file bullet.h.

## ◆ m_index1a

int Bullet::btPersistentManifoldFloatData::m_index1a

Definition at line 601 of file bullet.h.

## ◆ m_numCachedPoints

int Bullet::btPersistentManifoldFloatData::m_numCachedPoints

Definition at line 598 of file bullet.h.

## ◆ m_objectType

int Bullet::btPersistentManifoldFloatData::m_objectType

Definition at line 602 of file bullet.h.

## ◆ m_padding

int Bullet::btPersistentManifoldFloatData::m_padding

Definition at line 605 of file bullet.h.

## ◆ m_pointCacheAppliedImpulse

float Bullet::btPersistentManifoldFloatData::m_pointCacheAppliedImpulse[4]

Definition at line 577 of file bullet.h.

## ◆ m_pointCacheAppliedImpulseLateral1

float Bullet::btPersistentManifoldFloatData::m_pointCacheAppliedImpulseLateral1[4]

Definition at line 588 of file bullet.h.

## ◆ m_pointCacheAppliedImpulseLateral2

float Bullet::btPersistentManifoldFloatData::m_pointCacheAppliedImpulseLateral2[4]

Definition at line 589 of file bullet.h.

## ◆ m_pointCacheCombinedContactDamping1

float Bullet::btPersistentManifoldFloatData::m_pointCacheCombinedContactDamping1[4]

Definition at line 595 of file bullet.h.

## ◆ m_pointCacheCombinedContactStiffness1

float Bullet::btPersistentManifoldFloatData::m_pointCacheCombinedContactStiffness1[4]

Definition at line 593 of file bullet.h.

## ◆ m_pointCacheCombinedFriction

float Bullet::btPersistentManifoldFloatData::m_pointCacheCombinedFriction[4]

Definition at line 579 of file bullet.h.

## ◆ m_pointCacheCombinedRestitution

float Bullet::btPersistentManifoldFloatData::m_pointCacheCombinedRestitution[4]

Definition at line 582 of file bullet.h.

## ◆ m_pointCacheCombinedRollingFriction

float Bullet::btPersistentManifoldFloatData::m_pointCacheCombinedRollingFriction[4]

Definition at line 580 of file bullet.h.

## ◆ m_pointCacheCombinedSpinningFriction

float Bullet::btPersistentManifoldFloatData::m_pointCacheCombinedSpinningFriction[4]

Definition at line 581 of file bullet.h.

## ◆ m_pointCacheContactCFM

float Bullet::btPersistentManifoldFloatData::m_pointCacheContactCFM[4]

Definition at line 592 of file bullet.h.

## ◆ m_pointCacheContactERP

float Bullet::btPersistentManifoldFloatData::m_pointCacheContactERP[4]

Definition at line 594 of file bullet.h.

## ◆ m_pointCacheContactMotion1

float Bullet::btPersistentManifoldFloatData::m_pointCacheContactMotion1[4]

Definition at line 590 of file bullet.h.

## ◆ m_pointCacheContactMotion2

float Bullet::btPersistentManifoldFloatData::m_pointCacheContactMotion2[4]

Definition at line 591 of file bullet.h.

## ◆ m_pointCacheContactPointFlags

int Bullet::btPersistentManifoldFloatData::m_pointCacheContactPointFlags[4]

Definition at line 587 of file bullet.h.

## ◆ m_pointCacheDistance

float Bullet::btPersistentManifoldFloatData::m_pointCacheDistance[4]

Definition at line 576 of file bullet.h.

## ◆ m_pointCacheFrictionCFM

float Bullet::btPersistentManifoldFloatData::m_pointCacheFrictionCFM[4]

Definition at line 596 of file bullet.h.

## ◆ m_pointCacheIndex0

int Bullet::btPersistentManifoldFloatData::m_pointCacheIndex0[4]

Definition at line 585 of file bullet.h.

## ◆ m_pointCacheIndex1

int Bullet::btPersistentManifoldFloatData::m_pointCacheIndex1[4]

Definition at line 586 of file bullet.h.

## ◆ m_pointCacheLateralFrictionDir1

btVector3FloatData Bullet::btPersistentManifoldFloatData::m_pointCacheLateralFrictionDir1[4]

Definition at line 574 of file bullet.h.

## ◆ m_pointCacheLateralFrictionDir2

btVector3FloatData Bullet::btPersistentManifoldFloatData::m_pointCacheLateralFrictionDir2[4]

Definition at line 575 of file bullet.h.

## ◆ m_pointCacheLifeTime

int Bullet::btPersistentManifoldFloatData::m_pointCacheLifeTime[4]

Definition at line 597 of file bullet.h.

## ◆ m_pointCacheLocalPointA

btVector3FloatData Bullet::btPersistentManifoldFloatData::m_pointCacheLocalPointA[4]

Definition at line 569 of file bullet.h.

## ◆ m_pointCacheLocalPointB

btVector3FloatData Bullet::btPersistentManifoldFloatData::m_pointCacheLocalPointB[4]

Definition at line 570 of file bullet.h.

## ◆ m_pointCacheNormalWorldOnB

btVector3FloatData Bullet::btPersistentManifoldFloatData::m_pointCacheNormalWorldOnB[4]

Definition at line 573 of file bullet.h.

## ◆ m_pointCachePartId0

int Bullet::btPersistentManifoldFloatData::m_pointCachePartId0[4]

Definition at line 583 of file bullet.h.

## ◆ m_pointCachePartId1

int Bullet::btPersistentManifoldFloatData::m_pointCachePartId1[4]

Definition at line 584 of file bullet.h.

## ◆ m_pointCachePositionWorldOnA

btVector3FloatData Bullet::btPersistentManifoldFloatData::m_pointCachePositionWorldOnA[4]

Definition at line 571 of file bullet.h.

## ◆ m_pointCachePositionWorldOnB

btVector3FloatData Bullet::btPersistentManifoldFloatData::m_pointCachePositionWorldOnB[4]

Definition at line 572 of file bullet.h.

## ◆ m_pointCachePrevRHS

float Bullet::btPersistentManifoldFloatData::m_pointCachePrevRHS[4]

Definition at line 578 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h